html { 
}
html,
body
{
	background-color:#222222;
	color:white;
}
.pg_body
{
	display:flex;
	flex-direction:column;
	max-width:800px; 
	margin:0 auto;
	padding-top:50px;
}

article {
	display:flex;
	flex-direction:column;
	-webkit-border-radius: 4px;
	        border-radius: 4px;
	-webkit-box-shadow: 0px 4px 8px -4px rgba(0,0,0,0.5); 
			box-shadow: 0px 4px 8px -4px rgba(0,0,0,0.5);
}

/* ---------------------------------------- */
div.album
{
	flex-basis:100%;
	display:flex;
	flex-direction:row;
	margin-top:16px;
	padding:16px;
	background:rgba(0,0,0,.5);  
	-webkit-border-radius: 4px;
	        border-radius: 4px;
	-webkit-box-shadow: 0px 4px 8px -4px rgba(0,0,0,0.5); 
			box-shadow: 0px 4px 8px -4px rgba(0,0,0,0.5);
}
div.album_l
{
	flex-basis:40%;
	max-width:250px;
	margin-right:16px;
}
div.album_r
{
	flex-grow:1;
	flex-shrink:1;
	margin-right:16px;
}
div.album_img
{
	margin-bottom:4px;
}
div.album_img > img
{
	width:100%;
	height:auto;
}
.album_ttl
{
	margin-bottom:4px;
}
div.album_comm
{
	margin-bottom:4px;
	font-size:80%;
}
/* ---------------------------------------- */
div.song
{
	flex-basis:100%;
	display:flex;
	flex-direction:row;
	margin-bottom:8px;
	padding:8px;
	font-size:80%;
	background:rgba(0,0,0,.5);  
	border-bottom:1px solid rgba(255,255,255,.25);
}
div.song_l
{
	flex-basis:40%;
	max-width:125px;
	margin-right:16px;
}
div.song_r
{
	flex-grow:1;
	flex-shrink:1;
	margin-right:16px;
}
div.song_img
{
	margin-bottom:4px;
}
div.song_img > img
{
	width:100%;
	min-width:40px;
	height:auto;
}
.song_ttl
{
	margin-bottom:4px;
}
div.song_comm
{
	margin-bottom:4px;
	font-size:80%;
}
/* ---------------------------------------- */
div.url
{
	flex-basis:100%;
	display:flex;
	flex-direction:row;
	margin-bottom:4px;
	padding:4px;
	background:rgba(0,0,0,.5);  
	-webkit-border-radius: 4px;
	        border-radius: 4px;
	transition: all .25s ease-in;
}
div.url:hover
{
	filter: saturate(4);
	background:rgba(255,255,255,.25);  
}
div.url_l
{
	margin-right:4px;
}
div.url_r
{
	flex-grow:1;
	flex-shrink:1;
	margin-right:4px;
}
div.url_img
{
}
div.url_img > img
{
	width:25px;		/* fixed size */
	height:auto;
}
.url_ttl
{
	margin-bottom:2px;
}
div.url_comm
{
	margin-bottom:2px;
}
